Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_i2c_context_t Struct Reference
SoC Registers (SE)

I2C context to be saved between sleep/resume. More...

`#include <qm_soc_regs.h>`

## Data Fields
uint32_t | con
| Control Register. More...
uint32_t | sar
| Slave Address. More...
uint32_t | ss_scl_hcnt
| Standard Speed Clock SCL High Count. More...
uint32_t | ss_scl_lcnt
| Standard Speed Clock SCL Low Count. More...
uint32_t | fs_scl_hcnt
| Fast Speed Clock SCL High Count. More...
uint32_t | fs_scl_lcnt
| Fast Speed I2C Clock SCL Low Count. More...
uint32_t | enable
| Enable. More...
uint32_t | fs_spklen
| SS and FS Spike Suppression Limit. More...
uint32_t | ic_intr_mask
| I2C Interrupt Mask. More...
uint32_t | tx_tl
| Receive FIFO threshold register. More...

## Detailed Description

I2C context to be saved between sleep/resume.

Application should not modify the content. This structure is only intended to be used by the qm_i2c_save_context and qm_i2c_restore_context functions.

Definition at line 1260 of file qm_soc_regs.h.

## Field Documentation

uint32_t qm_i2c_context_t::con

Control Register.

Definition at line 1261 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::enable

Enable.

Definition at line 1267 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::fs_scl_hcnt

Fast Speed Clock SCL High Count.

Definition at line 1265 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::fs_scl_lcnt

Fast Speed I2C Clock SCL Low Count.

Definition at line 1266 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::fs_spklen

SS and FS Spike Suppression Limit.

Definition at line 1268 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::ic_intr_mask

I2C Interrupt Mask.

Definition at line 1269 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::sar

Slave Address.

Definition at line 1262 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::ss_scl_hcnt

Standard Speed Clock SCL High Count.

Definition at line 1263 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::ss_scl_lcnt

Standard Speed Clock SCL Low Count.

Definition at line 1264 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().

uint32_t qm_i2c_context_t::tx_tl

Receive FIFO threshold register.

Definition at line 1271 of file qm_soc_regs.h.

Referenced by qm_i2c_restore_context(), and qm_i2c_save_context().